=== added file 'ec2-tag-job-instances'
--- ec2-tag-job-instances	1970-01-01 00:00:00 +0000
+++ ec2-tag-job-instances	2014-02-24 17:18:29 +0000
@@ -0,0 +1,3 @@
+#!/bin/bash
+set -eu
+euca-create-tags "$@" --tag job_name=$JOB_NAME

=== added file 'ec2-terminate-job-instances'
--- ec2-terminate-job-instances	1970-01-01 00:00:00 +0000
+++ ec2-terminate-job-instances	2014-02-24 17:18:29 +0000
@@ -0,0 +1,7 @@
+#!/bin/bash
+set -eu
+instances=$(euca-describe-instances --filter instance-state-name=running\
+  --filter tag:job_name=$JOB_NAME|grep '^INSTANCE'|cut -f 2)
+if [ "$instances" != "" ]; then
+  euca-terminate-instances $instances
+fi

=== modified file 'manual-deploy'
--- manual-deploy	2014-02-21 17:50:25 +0000
+++ manual-deploy	2014-02-24 17:18:29 +0000
@@ -3,12 +3,13 @@
 : ${SCRIPTS:=$(readlink -f $(dirname $0))}
 : ${JUJU_HOME:=$SCRIPTS/manual-provider-home}
 export JUJU_HOME
-echo $0
+$SCRIPTS/ec2-terminate-job-instances
 export INSTANCE_TYPE=m1.large
 export AMI_IMAGE=ami-bd6d40d4
 machine_0_id=$($SCRIPTS/ec2-run-instance-get-id)
 machine_1_id=$($SCRIPTS/ec2-run-instance-get-id)
 machine_2_id=$($SCRIPTS/ec2-run-instance-get-id)
+$SCRIPTS/ec2-tag-job-instances $machine_0_id $machine_1_id $machine_2_id
 machine_0_name=$($SCRIPTS/ec2-get-name $machine_0_id)
 machine_1_name=$($SCRIPTS/ec2-get-name $machine_1_id)
 machine_2_name=$($SCRIPTS/ec2-get-name $machine_2_id)
@@ -39,5 +40,5 @@
   exit_code=1
 fi
 rm $JUJU_HOME/environments/manual.jenv
-euca-terminate-instances $machine_0_id $machine_1_id $machine_2_id
+$SCRIPTS/ec2-terminate-job-instances
 exit $exit_code

